# Constrain clock port clk with a 20-ns requirement

create_clock -period 20 [get_ports CLK_50MHz]

# Automatically apply a generate clock on the output of phase-locked loops (PLLs) 
# This command can be safely left in the SDC even if no PLLs exist in the design

derive_pll_clocks

# Constrain the input I/O path

set_input_delay -clock CLK_50MHz -max 3 [all_inputs]

set_input_delay -clock CLK_50MHz -min 1 [all_inputs]

# Constrain the output I/O path

set_output_delay -clock CLK_50MHz -max 3 [get_ports LVTTL_OUT_*]

set_output_delay -clock CLK_50MHz -min 1 [get_ports LVTTL_OUT_*]